pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- File List
- Globals

Data Structures | Functions
mapper_mgr.h File Reference
`#include "../common/cert_st.h"`
`#include "../scconf/scconf.h"`
`#include "../mappers/mapper.h"`

Go to the source code of this file.

## Data Structures

struct | mapper_instance
struct | mapper_listitem

## Functions

struct mapper_instance * | load_module (scconf_context *ctx, const char *name)
void | unload_module (struct mapper_instance *module)
| Unload a module.
struct mapper_listitem * | load_mappers (scconf_context *ctx)
| compose mapper module chain
void | unload_mappers (void)
| unload mapper module chain
char * | find_user (X509 *x509)
int | match_user (X509 *x509, const char *login)
| This function search mapper module list until find a module that match provided login name if login is null, call find_user and returns 1,or 0 depending on user found.
void | inspect_certificate (X509 *x509)

## Function Documentation

char* find_user | ( | X509 * | x509 | ) |

void inspect_certificate | ( | X509 * | x509 | ) |

struct mapper_listitem* load_mappers | ( | scconf_context * | ctx | ) | `[read]`

compose mapper module chain

struct mapper_instance* load_module | ( | scconf_context * | ctx,
|  | const char * | name
| ) |  | `[read]`

int match_user | ( | X509 * | x509,
|  | const char * | login
| ) |  |

This function search mapper module list until find a module that match provided login name if login is null, call find_user and returns 1,or 0 depending on user found.

Returns:
  1 if match 0 on no match -1 on error

void unload_mappers | ( | void |  | ) |

unload mapper module chain

void unload_module | ( | struct mapper_instance * | module | ) |

Unload a module.